---

- name: Handle tomcat port in the firewall
  iptables_raw:
    name: tomcat_port
    state: "{{ (tomcat_src_ip | length > 0) | ternary('present','absent') }}"
    rules: "-A INPUT -m state --state NEW -p tcp --dport {{ tomcat_port }} -s {{ tomcat_src_ip | join(',') }} -j ACCEPT"
  tags: firewall,tomcat
